
Smart Proxy - Bug #13421

[smart-proxy] provider dnscmd: create record in sub domain broken -

DNS_ERROR_ZONE_DOES_NOT_EXIST

01/27/2016 04:33 PM - Daniel Helgenberger

Status: Closed   

Priority: Normal   

Assignee: Daniel Helgenberger   

Category: DNS   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/369,

https://github.com/theforeman/smart-pro

xy/pull/381

  

Description

The usage of dnscmd is in the provider, it fails when adding a record to a sub domain. Here, always the top domain has to be used.

D, [2016-01-27T22:24:01.492667 #1508] DEBUG -- : executing: c:\windows\system32\cmd.exe /c c:\Wind

ows\System32\dnscmd.exe localhost /RecordAdd sec.domain.com testdns2.domain.com. A 192.168.0.11

E, [2016-01-27T22:24:01.523888 #1508] ERROR -- : Dnscmd failed:

Command failed:  DNS_ERROR_ZONE_DOES_NOT_EXIST     9601    0x2581

E, [2016-01-27T22:24:01.523888 #1508] ERROR -- : Failed to add DNS entry testdns2.sec.domain.com =

> 192.168.0.11

D, [2016-01-27T22:24:01.523888 #1508] DEBUG -- : C:/TheForeman/smart-proxy/modules/dns_dnscmd/dns_

dnscmd_main.rb:94:in `report'

C:/TheForeman/smart-proxy/modules/dns_dnscmd/dns_dnscmd_main.rb:85:in `execute'

 while the correct command should be:

c:\windows\system32\cmd.exe /c c:\Windows\System32\dnscmd.exe localhost /RecordAdd doimain.com tes

tdns2.sec.domain.com. A 192.168.0.10

 Since we can never determine the top scope domain correctly, I can only think of this as a setting in dns.yaml

Associated revisions

Revision 310433f7 - 02/15/2016 10:41 AM - Daniel Helgenberger 

Fixes #13421 - Support for dnscmd zone names and sub zones

Revision 5fe3b6f4 - 02/17/2016 04:03 AM - Dominic Cleal

refs #13421 - change array layout to suit rubocop 0.37.1

History

#1 - 01/28/2016 07:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/369 added

#2 - 02/15/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 310433f729c5743b0c9f489e664470c0959857b8.

#3 - 02/16/2016 09:07 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 02/17/2016 03:31 AM - The Foreman Bot

- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/smart-proxy/pull/381 added

#5 - 02/17/2016 03:36 AM - Dominic Cleal

- Assignee changed from Dominic Cleal to Daniel Helgenberger
